MDCAdapter (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.spi
Interface MDCAdapter

All Known Implementing Classes:
  BasicMDCAdapter, Log4jMDCAdapter, NOPMDCAdapter

    public interface MDCAdapter

This interface abstracts the service offered by various MDC implementations.

Since:
  1.4.1
Author:
  Ceki Gülcü

Method Summary
`void` | `clear()` Clear all entries in the MDC.
`String` | `get(String key)` Get the context identified by the `key` parameter.
`Map` | `getCopyOfContextMap()` Return a copy of the current thread's context map, with keys and values of type String.
`void` | `put(String key, String val)` Put a context value (the `val` parameter) as identified with the `key` parameter into the current thread's context map.
`void` | `remove(String key)` Remove the the context identified by the `key` parameter.
`void` | `setContextMap(Map contextMap)` Set the current thread's context map by first clearing any existing map and then copying the map passed as parameter.

Method Detail

### put

    void put(String key,
             String val)

  Put a context value (the `val` parameter) as identified with the `key` parameter into the current thread's context map. The `key` parameter cannot be null. The code>val parameter can be null only if the underlying implementation supports it.

  If the current thread does not have a context map it is created as a side effect of this call.

### get

    String get(String key)

  Get the context identified by the `key` parameter. The `key` parameter cannot be null.

  Returns:
    the string value identified by the `key` parameter.

### remove

    void remove(String key)

  Remove the the context identified by the `key` parameter. The `key` parameter cannot be null.

  This method does nothing if there is no previous value associated with `key`.

### clear

    void clear()

  Clear all entries in the MDC.

### getCopyOfContextMap

    Map getCopyOfContextMap()

  Return a copy of the current thread's context map, with keys and values of type String. Returned value may be null.

  Returns:
    A copy of the current thread's context map. May be null.
  Since:
    1.5.1

### setContextMap

    void setContextMap(Map contextMap)

  Set the current thread's context map by first clearing any existing map and then copying the map passed as parameter. The context map parameter must only contain keys and values of type String.

  Parameters:
    `contextMap` - must contain only keys and values of type String
  Since:
    1.5.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.